"Unable to create an ActiveX object to open the document"

Hi all,

I'm trying to open up a document on my company's Confluence site by using the "Edit in Office" function and whenever i clicked the button i'm greeted with an error dialog box stating "Unable to create an ActiveX object to open the document. This is most likely because of the security settings for your browser."

All security settings are fine and ActiveX is enabled in IE.

The version of Confluence we're running is 4.2.3 and we are using Microsoft Office 2010.

I've Googled the hell out of this issue and have exhausted all options, so any help regarding this would be greatly appreciated.

Thanks.

Mack

5 answers

This widget could not be displayed.

I also stumbled across this error message and had a hard time finding the cause. In the end the solution was pretty simple: The Internet Explorer Shortcut on my desktop was pointing to the 64Bit-Version of Internet Explorer 8 rather than the 32Bit-Version. After changing the shortcut to 32Bit, the Office Integration was working again and the error message was gone.

Good answer ! moreover i think if you office pack is on 32bits version this could be related !

This widget could not be displayed.

Repairing office fixed the issue in a number of my PCs. Make sure you are using the 32bit version of IE and repair MS Office and that may fix your issue.

This widget could not be displayed.

Regarding the documentation below, this could be caused by the security settings in the browser preventing usage of the Office Connector.

Resolution

Enable ActiveX controls in the browser. The default security settings should be okay. You may see this error if you have changed them from the default settings.

If that doesn't work, there may be a configuration problem with the SharePoint client controls. The Office Connector uses these for the integration between IE and Office. Follow the steps outlined in Microsoft's knowledge base article to fix the problem.

Information founded through https://confluence.atlassian.com/pages/viewpage.action?pageId=229182414

Kind Regards

I am also getting this error.

In firefox when i tried it asks to install a plugin which is a wabdav plugin.

has this something to do with the office connector plugin issues?

This widget could not be displayed.

If the above didn't help, can you please try to disable ActiveX Filtering in IE9 (Tools > Safety > ActiveX Filtering) and then refresh the browser. and Edit in Office again? This works for me to eliminate the problem, let me know how it goes for you.

This widget could not be displayed.

In our case this error was caused by the Office package being delivered through an AppV package instead of a local installation. Installing Office locally resolved this issue.

Suggest an answer

Log in or Sign up to answer
Atlassian Summit 2018

Meet the community IRL

Atlassian Summit is an excellent opportunity for in-person support, training, and networking.

Learn more
Community showcase
Published Jul 30, 2018 in Confluence

How Manon Soubies-Camy uses Confluence + Trello to organize webinar notes and her knitting stash

@Manon Soubies-Camy is an engineer who has been an avid Atlassian user since 2014. She helps companies of all sizes transform the way they work with the Atlassian stack, including Jira and Confl...

866 views 8 13
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you